## muttprint 0.73

=== debian/changelog ===
muttprint (0.73-8) unstable; urgency=medium

  * build-depend on automake, not automake1.11 (anymore) (closes: #865190)
  * don't aclocal/automake manually, use dh_autoreconf
  * bump dh compat to 9
  * migrate from dpatch to 3.0 (quilt) (closes: #668648)

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jun 2017 19:12:50 +0000

muttprint (0.73-7) unstable; urgency=medium

  * *really* fix Unescaped left brace in regex (closes: #814920) 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Jul 2016 13:26:36 +0200

muttprint (0.73-6) unstable; urgency=medium

  * Raise debhelper compat level and build dependency to 5 (Closes: #817591)
  * fix Unescaped left brace in regex (closes: #814920)
  * add build-indep, use dh_prep

 -- Rene Engelhard <rene@debian.org>  Mon, 20 Jun 2016 07:35:24 +0200

muttprint (0.73-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #724420)

 -- Eric Dorland <eric@debian.org>  Fri, 14 Mar 2014 23:30:08 -0400

muttprint (0.73-5) unstable; urgency=low

   * apply patch from Etienne Millon:
    + Fix "FTBFS: POD errors"
      Add a patch with encoding (Closes: #724200)
   * remove patch to run pod2man with --utf8 again

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 21:30:49 +0100

muttprint (0.73-4) unstable; urgency=low

  * remove obsolete debconf note (closes: #631303, #658505)
  * run pod2man with --utf8 to fix german manpage encoding,
    thanks Helge Kreutzmann (closes: #631117)
  * update muttprint-manual.doc-base 

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Feb 2012 21:31:18 +0000

muttprint (0.73-3) unstable; urgency=low

  * 17_leave_tmp_dir.dpatch, also chdir() in the fatalError sub, thanks
    martin krafft again (closes: #551543)
  * suggest texlive-fonts-extra 

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Dec 2010 20:19:45 +0100

muttprint (0.73-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "cannot remove path when cwd is /tmp/muttprint*": new patch
    17_leave_tmp_dir.dpatch by martin krafft: change away from temp dir before
    removing it (closes: #551543).

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Nov 2010 19:31:49 +0100

muttprint (0.73-2) unstable; urgency=low

  * upload to unstable 
  * add missing build-dep on docbook
  * add Russian debconf templates translation (closes: #537366)
  * move libtimedate-perl to recommends (closes: #419876) 

 -- Rene Engelhard <rene@debian.org>  Fri, 14 Aug 2009 03:10:30 +0200

muttprint (0.73-1) experimental; urgency=low

  * new upstream release.
    - expands ~ in TO_FILE (closes: #480853)
    - fixes removal of e-mail sigs (closes: #431638)
  * remove tetex-* from Depends: (closes: #475009)  
  * migrate from dbs to dpatch
  * add build-dep on autoconf/automake1.9 since releases now have no
    ./configure/Makefiles... pre-convert pics/ files to get pics/ build
    working
  * actually apply 03_fix_muttrc_changing_instructions and don't install
    README.pics anymore
  * debian/rules cleanup

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Dec 2008 23:22:20 +0100

muttprint (0.72d-10) unstable; urgency=high

  * backport fix for 15_CVE-2008-5368 from upstrem (closes: #509487)
  * fix up lintian warnings

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Dec 2008 22:32:04 +0100

muttprint (0.72d-9) unstable; urgency=low

  * add galician debconf translation, thanks Jacobo Tarrio (closes: #414037) 

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Mar 2007 09:06:18 +0100

muttprint (0.72d-8) unstable; urgency=low

  * remove muttprint/utf8 debconf question, depend on perl (>= 5.8.0-16)
    instead (closes: #388940)

 -- Rene Engelhard <rene@debian.org>  Sun, 24 Sep 2006 19:44:30 +0200

muttprint (0.72d-7) unstable; urgency=low

  * change depends to latex-ucs | texlive-latex-recommended, thanks
    Magnus Therning (closes: #388201)

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Sep 2006 11:08:11 +0200

muttprint (0.72d-6) unstable; urgency=low

  * Depend on tetex-ucs now since "Unicode locales *are* default [...] for
    etch"... (closes: #262485)
  * make Build-Depends-Indep Build-Depends: 
  * add pt debconf translation, thanks Rui Branco (closes: #381690)
  * add updated sv debconf translation, thanks Daniel Nylander (closes: #350631)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Sep 2006 19:17:22 +0200

muttprint (0.72d-5) unstable; urgency=low

  * support texlive-* in muttprints Depends

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2006 05:44:20 +0100

muttprint (0.72d-4) unstable; urgency=low

  * readd apparently lost patch to point to /usr/share/ospics for the images
    instead of /usr/share/muttprint, thanks David Moreno Garza
  * add sv po-debconf translation, thanks Daniel Nylander (closes: #340970)

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2006 22:20:05 +0100

muttprint (0.72d-3) unstable; urgency=low

  * readd uncorrupted Debian.png from CVS (closes: #342277)

 -- Rene Engelhard <rene@debian.org>  Tue,  3 Jan 2006 10:51:23 +0100

muttprint (0.72d-2) unstable; urgency=low

  * lower slrn Recommends to Suggests. Remove versioned Recommends: on
    perl which was only "necessary" for woody. Same with the versioned
    tetex-extra Suggests (closes: #333608)
  * fix typo in de.po, thanks Jens Seidel (closes: #313964)
  * add vi.po, thanks Clytie Siddall (closes: #312993)
  * s/apperently/apparently/, thanks Clytie Siddall (closes: #312994)
  * fix bashism in config script 
  * Standards-Version: 3.6.2 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Oct 2005 16:34:20 +0200

muttprint (0.72d-1) unstable; urgency=high

  * New micro upstream release
    - only upstream maintainer change, spelling fixes
    - disables MAINT_SEARCH (closes: #309892)
  * add ja debconf translation, thanks Hideki Yamane (closes: #290143)

 -- Rene Engelhard <rene@debian.org>  Fri, 20 May 2005 17:12:44 +0200

muttprint (0.72c-2) unstable; urgency=low

  * add cs debconf translation, thanks Miroslav Kure (closes: #273710)

