=== debian/control ===
Source: muttprint
Section: mail
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 9), imagemagick, ghostscript, docbook-utils, sharutils, dh-autoreconf, automake, autoconf, docbook
Standards-Version: 3.6.2

Package: muttprint
Architecture: all
Depends: ${perl:Depends} (>= 5.8.0-16), ${misc:Depends}, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, libtext-iconv-perl, latex-ucs | texlive-latex-recommended
Recommends: mutt | sylpheed | gnus | xfmail | exmh | mail-reader, libtimedate-perl
Suggests: ospics, compface, imagemagick, psutils, muttprint-manual, dialog, slrn | news-reader, texlive-fonts-extra
Enhances: mail-reader, news-reader
Description: Pretty printing of mails
 Muttprint formats the printing of Mutt and other mail clients to be as
 pretty as the printing of Mozilla or Kmail.
 .
 It can print a little penguin -- or the Debian logo -- on the first
 page (suitable pictures can be found in the ospics package) and a headline
 on every page. Furthermore, it only prints the most important headers, but
 not the whole plethora of them. Finally, it can even print two pages on one
 page in landscape format.
 
Package: muttprint-manual
Architecture: all
Section: doc
Enhances: muttprint
Replaces: muttprint (<< 0.70-1)
Depends: lynx | www-browser | xpdf | pdf-viewer, ${misc:Depends}
Description: Manual for muttprint
 Muttprint formats the printing of Mutt and other mail clients to be as
 pretty as the printing of Mozilla or Kmail.
 .
 This package contains the manual.
 
Package: ospics
Section: graphics
Architecture: all
Enhances: muttprint
Depends: ${misc:Depends}
Description: Some images of operating system logos/mascots
 This package contains some operating system logos / mascots
 .
 It contains:
  - Tux (black/white)
  - "Baby Tux" (black/white and color)
  - Debian swirl (black/white and color)
