=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir

	dh_autoreconf
	
	./configure --bindir=/usr/bin --sysconfdir=/etc --docdir=/usr/share/doc \
		--libdir=/usr/lib --prefix=/usr

	touch configure-stamp

#build: build-indep build-arch
build: build-indep

#build-arch:

build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# convert images (and make pics/ build work)
	cd pics && \
	for i in BabyTuX_color.eps BabyTuX.eps Debian_color.eps Debian.eps; do \
		convert $$i `basename $$i .eps`.png; \
	done && \
	convert penguin.eps penguin.jpg

	$(MAKE)
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean
	cd pics && \
	for i in BabyTuX_color.eps BabyTuX.eps Debian_color.eps Debian.eps; do \
		rm -f `basename $$i .eps`.png; \
	done && \
	rm -f penguin.jpg

	dh_autoreconf_clean
	rm -f config.log config.status aclocal.m4 configure
	rm -f missing install-sh depcomp
	-find . -name "Makefile.in" | xargs rm
	-find . -name "Makefile" | xargs rm

	rm -f configure-stamp build-stamp
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/muttprint
	
	# install default /etc/Muttprintrc
	cp $(CURDIR)/debian/Muttprintrc \
		$(CURDIR)/debian/muttprint/etc/Muttprintrc

	# move the images to ospics ...
	mv debian/muttprint/usr/share/muttprint \
		$(CURDIR)/debian/ospics/usr/share/ && \
	cd debian/ospics/usr/share && mv muttprint ospics

	# flip the BabyTux PNG
	cd $(CURDIR)/debian/ospics/usr/share/ospics && \
		convert -flop BabyTuX.png BabyTuX_flip.png

	# move the translations back
	# yes, this way is ugly but easy ;)
	mkdir $(CURDIR)/debian/muttprint/usr/share/muttprint
	mv $(CURDIR)/debian/ospics/usr/share/ospics/translations \
		$(CURDIR)/debian/muttprint/usr/share/muttprint

	# move the manual into muttprint-manual
	cd $(CURDIR)/debian/muttprint/usr/share/doc/muttprint && \
	mv manual* \
		$(CURDIR)/debian/muttprint-manual/usr/share/doc/muttprint/manual

	# remove muttprint-langinfo stuff
	rm -f $(CURDIR)/debian/muttprint/usr/bin/muttprint-langinfo

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl muttprint
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#binary-arch: build install
#	dh_testdir

#binary: binary-indep binary-arch
binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure
